﻿<div class="container-fluid">
    <div class="row">
        <div class="col-lg-3 col-md-6 col-sm-6">
            <div class="card card-stats">
                <div class="card-header card-header-warning card-header-icon">
                    <div class="card-icon">
                        <i>00%</i>
                    </div>
                    <p class="card-category">ĐÃ TIÊM MŨI 1</p>
                    <h3 class="card-title">0%</h3>
                </div>
                <div class="card-footer">
                    <div class="stats">
                        <i class="material-icons text-danger">local_offer</i>
                        <a href="javascript:;">Xem chi tiết</a>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-3 col-md-6 col-sm-6">
            <div class="card card-stats">
                <div class="card-header card-header-danger card-header-icon">
                    <div class="card-icon">
                        <i>00%</i>
                    </div>
                    <p class="card-category">CHƯA TIÊM MŨI 1</p>
                    <h3 class="card-title">0%</h3>
                </div>
                <div class="card-footer">
                    <div class="stats">
                        <i class="material-icons text-danger">local_offer</i>
                        <a href="javascript:;">Xem chi tiết</a>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-lg-3 col-md-6 col-sm-6">
            <div class="card card-stats">
                <div class="card-header card-header-success card-header-icon">
                    <div class="card-icon">
                        <i>00%</i>
                    </div>
                    <p class="card-category">ĐÃ TIÊM MŨI 2</p>
                    <h3 class="card-title">800</h3>
                </div>
                <div class="card-footer">
                    <div class="stats">
                        <i class="material-icons text-danger">local_offer</i>
                        <a href="javascript:;">Xem chi tiết</a>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-3 col-md-6 col-sm-6">
            <div class="card card-stats">
                <div class="card-header card-header-info card-header-icon">
                    <div class="card-icon">
                        <i>00%</i>
                    </div>
                    <p class="card-category">CHƯA TIÊM MŨI 2</p>
                    <h3 class="card-title">0%</h3>
                </div>
                <div class="card-footer">
                    <div class="stats">
                        <i class="material-icons text-danger">local_offer</i>
                        <a href="javascript:;">Xem chi tiết</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <h3 style="text-align:center">THỐNG KÊ TỈ LỆ TIÊM VACXIN</h3>
   

        @(Html.DevExtreme().DataGrid<dbChange.Models.StatisticVacxin>
    ()

    .DataSource(ds => ds.Mvc()
    .Controller("Statistic")
    .LoadAction("GetAllStatistics")
    .UpdateAction("Put")
    .Key("Id")
    )
    .RemoteOperations(false)
    .AllowColumnReordering(true)
    .RowAlternationEnabled(true)
    .ShowBorders(true)

    .SearchPanel(s => s
    .Visible(true)
    .HighlightCaseSensitive(true)
    )
    .GroupPanel(g => g.Visible(true))
    .Grouping(g => g.AutoExpandAll(true))
    .WordWrapEnabled(false)
    .ShowColumnLines(true)
    .ShowRowLines(true)
    .RowAlternationEnabled(true)
    .AllowColumnResizing(true)

    .ColumnAutoWidth(true)
    .FilterRow(f => f.Visible(true))
    .HeaderFilter(h => h.Visible(true))
    .RemoteOperations(false)
    // .Scrolling(scrolling => scrolling.ColumnRenderingMode(GridColumnRenderingMode.Virtual))
    .Paging(p => p.PageSize(25))
    .Pager(p => p
    .ShowPageSizeSelector(true)
    .AllowedPageSizes(new[] { 10, 25, 50, 100 })

    )

    .ColumnHidingEnabled(true)
    .ColumnResizingMode(ColumnResizingMode.Widget)
    .FocusedRowEnabled(true)
    .Columns(columns => {

        columns.AddFor(m => m.Id).Caption("#").HeaderCellTemplate(new JS("headerCellTemplate")).AllowEditing(false);

        columns.AddFor(m => m.DonVi).Caption("Đơn vị").HeaderCellTemplate(new JS("headerCellTemplate")).Visible(false).AllowEditing(true);

        columns.AddFor(m => m.DonViChiTiet).Caption("Đơn vị chi tiết").HeaderCellTemplate(new JS("headerCellTemplate")).GroupIndex(0).AllowEditing(true);

        columns.AddFor(m => m.HoTen).Caption("Họ tên").HeaderCellTemplate(new JS("headerCellTemplate")).AllowEditing(true);

        columns.AddFor(m => m.GioiTinh).Caption("Giới\r\ntính").HeaderCellTemplate(new JS("headerCellTemplate")).Width(90);

        columns.AddFor(m => m.NgaySinh).Caption("Ngày\r\nSinh").HeaderCellTemplate(new JS("headerCellTemplate")).Width(90);
        columns.Add().Caption("Mũi 1").Columns(c =>
        {

            c.AddFor(m => m.Mui1_DaTiem).Caption("Đã\r\ntiêm").HeaderCellTemplate(new JS("headerCellTemplate")).Width(70)
            .Alignment(HorizontalAlignment.Center);

            c.AddFor(m => m.Mui1_ChuaTiem).Caption("Chưa\r\ntiêm").HeaderCellTemplate(new JS("headerCellTemplate")).Width(70)
            .Alignment(HorizontalAlignment.Center);

            c.AddFor(m => m.Mui1_LyDo).Caption("Lý do").HeaderCellTemplate(new JS("headerCellTemplate"));
        }).HeaderCellTemplate(new JS("headerCellTemplate"));
        columns.Add().Caption("Mũi 2").Columns(c =>
        {
            c.AddFor(m => m.Mui2_DaTiem).Caption("Đã\r\ntiêm").HeaderCellTemplate(new JS("headerCellTemplate")).Width(70)
            .Alignment(HorizontalAlignment.Center);

            c.AddFor(m => m.Mui2_ChuaTiem).Caption("Chưa\r\ntiêm").HeaderCellTemplate(new JS("headerCellTemplate")).Width(70)
            .Alignment(HorizontalAlignment.Center);

            c.AddFor(m => m.Mui2_LyDo).Caption("Lý do").HeaderCellTemplate(new JS("headerCellTemplate"));
        }).HeaderCellTemplate(new JS("headerCellTemplate"));

        columns.AddFor(m => m.F0).Caption("F0").HeaderCellTemplate(new JS("headerCellTemplate")).Alignment(HorizontalAlignment.Center);

        columns.AddFor(m => m.SoDienThoai).Caption("Số \r\nđiện thoại").HeaderCellTemplate(new JS("headerCellTemplate")).Width(100)
        .Alignment(HorizontalAlignment.Center);

        columns.AddFor(m => m.GhiChu).Caption("Ghi chú").HeaderCellTemplate(new JS("headerCellTemplate"));

        columns.AddFor(m => m.NgayBoSung).Caption("Ngày\r\ncập nhật").HeaderCellTemplate(new JS("headerCellTemplate")).Width(100).AllowEditing(false);
    })
    .Editing(

    e => e.Mode(GridEditMode.Popup)

                            .AllowUpdating(true)
                            .AllowAdding(true)
                            .UseIcons(true)

                            .Form(
                            f => f.Items(items =>
                            {
                                items.AddGroup().Caption("Thông tin nhân viên")
                                .ColCount(1)
                                .ColSpan(1)

                                .Items(groupItems =>
                                {



                                    groupItems.AddSimpleFor(m => m.Id);
                                    groupItems.AddSimpleFor(m => m.HoTen);
                                    groupItems.AddSimpleFor(m => m.NgaySinh);
                                    groupItems.AddSimpleFor(m => m.GioiTinh);
                                    groupItems.AddSimpleFor(m => m.SoDienThoai);
                                    groupItems.AddSimpleFor(m => m.DonViChiTiet);



                                });
                                items.AddGroup()
                                .Items(groupItems =>
                                {
                                    groupItems.AddGroup().Caption("Mũi 1")
                                    .ColCount(3)
                                    .ColSpan(3)

                                    .Items(groupItems1 =>
                                    {
                                        groupItems1.AddSimpleFor(m => m.Mui1_DaTiem);
                                        groupItems1.AddSimpleFor(m => m.Mui1_ChuaTiem);
                                        groupItems1.AddSimpleFor(m => m.Mui1_LyDo);

                                    });
                                    groupItems.AddGroup().Caption("Mũi 2")
                                    .ColCount(3)
                                    .ColSpan(3)

                                    .Items(groupItems1 =>
                                    {
                                        groupItems1.AddSimpleFor(m => m.Mui2_DaTiem);
                                        groupItems1.AddSimpleFor(m => m.Mui2_ChuaTiem);
                                        groupItems1.AddSimpleFor(m => m.Mui2_LyDo);

                                    });
                                    groupItems.AddSimpleFor(m => m.F0);
                                    groupItems.AddSimpleFor(m => m.GhiChu).ColSpan(1)
                                .Editor(editor => editor.TextArea().Height(70));

                                });





                            }).ScrollingEnabled(true).ShowRequiredMark(true).LabelLocation(FormLabelLocation.Top)
                            )

    )
    )

    
    <h3 style="text-align:center">DANH SÁCH CHƯA TIÊM MŨI 1</h3>
   

        @(Html.DevExtreme().DataGrid<dbChange.Models.StatisticVacxin>
    ()

    .DataSource(ds => ds.Mvc()
    .Controller("Statistic")
    .LoadAction("GetAllStatistics")
    .UpdateAction("Put")
    .Key("Id")
    )
    .RemoteOperations(false)
    .AllowColumnReordering(true)
    .RowAlternationEnabled(true)
    .ShowBorders(true)

    .SearchPanel(s => s
    .Visible(true)
    .HighlightCaseSensitive(true)
    )
    .GroupPanel(g => g.Visible(true))
    .Grouping(g => g.AutoExpandAll(true))
    .WordWrapEnabled(false)
    .ShowColumnLines(true)
    .ShowRowLines(true)
    .RowAlternationEnabled(true)
    .AllowColumnResizing(true)

    .ColumnAutoWidth(true)
    .FilterRow(f => f.Visible(true))
    .HeaderFilter(h => h.Visible(true))
    .RemoteOperations(false)
    // .Scrolling(scrolling => scrolling.ColumnRenderingMode(GridColumnRenderingMode.Virtual))
    .Paging(p => p.PageSize(25))
    .Pager(p => p
    .ShowPageSizeSelector(true)
    .AllowedPageSizes(new[] { 10, 25, 50, 100 })

    )

    .ColumnHidingEnabled(true)
    .ColumnResizingMode(ColumnResizingMode.Widget)
    .FocusedRowEnabled(true)
    .Columns(columns => {

        columns.AddFor(m => m.Id).Caption("#").HeaderCellTemplate(new JS("headerCellTemplate")).AllowEditing(false);

        columns.AddFor(m => m.DonVi).Caption("Đơn vị").HeaderCellTemplate(new JS("headerCellTemplate")).Visible(false).AllowEditing(true);

        columns.AddFor(m => m.DonViChiTiet).Caption("Đơn vị chi tiết").HeaderCellTemplate(new JS("headerCellTemplate")).GroupIndex(0).AllowEditing(true);

        columns.AddFor(m => m.HoTen).Caption("Họ tên").HeaderCellTemplate(new JS("headerCellTemplate")).AllowEditing(true);

        columns.AddFor(m => m.GioiTinh).Caption("Giới\r\ntính").HeaderCellTemplate(new JS("headerCellTemplate")).Width(90);

        columns.AddFor(m => m.NgaySinh).Caption("Ngày\r\nSinh").HeaderCellTemplate(new JS("headerCellTemplate")).Width(90);
        columns.Add().Caption("Mũi 1").Columns(c =>
        {

            c.AddFor(m => m.Mui1_DaTiem).Caption("Đã\r\ntiêm").HeaderCellTemplate(new JS("headerCellTemplate")).Width(70)
            .Alignment(HorizontalAlignment.Center);

            c.AddFor(m => m.Mui1_ChuaTiem).Caption("Chưa\r\ntiêm").HeaderCellTemplate(new JS("headerCellTemplate")).Width(70)
            .Alignment(HorizontalAlignment.Center);

            c.AddFor(m => m.Mui1_LyDo).Caption("Lý do").HeaderCellTemplate(new JS("headerCellTemplate"));
        }).HeaderCellTemplate(new JS("headerCellTemplate"));
        columns.Add().Caption("Mũi 2").Columns(c =>
        {
            c.AddFor(m => m.Mui2_DaTiem).Caption("Đã\r\ntiêm").HeaderCellTemplate(new JS("headerCellTemplate")).Width(70)
            .Alignment(HorizontalAlignment.Center);

            c.AddFor(m => m.Mui2_ChuaTiem).Caption("Chưa\r\ntiêm").HeaderCellTemplate(new JS("headerCellTemplate")).Width(70)
            .Alignment(HorizontalAlignment.Center);

            c.AddFor(m => m.Mui2_LyDo).Caption("Lý do").HeaderCellTemplate(new JS("headerCellTemplate"));
        }).HeaderCellTemplate(new JS("headerCellTemplate"));

        columns.AddFor(m => m.F0).Caption("F0").HeaderCellTemplate(new JS("headerCellTemplate")).Alignment(HorizontalAlignment.Center);

        columns.AddFor(m => m.SoDienThoai).Caption("Số \r\nđiện thoại").HeaderCellTemplate(new JS("headerCellTemplate")).Width(100)
        .Alignment(HorizontalAlignment.Center);

        columns.AddFor(m => m.GhiChu).Caption("Ghi chú").HeaderCellTemplate(new JS("headerCellTemplate"));

        columns.AddFor(m => m.NgayBoSung).Caption("Ngày\r\ncập nhật").HeaderCellTemplate(new JS("headerCellTemplate")).Width(100).AllowEditing(false);
    })
    .Editing(

    e => e.Mode(GridEditMode.Popup)

                            .AllowUpdating(true)
                            .AllowAdding(true)
                            .UseIcons(true)

                            .Form(
                            f => f.Items(items =>
                            {
                                items.AddGroup().Caption("Thông tin nhân viên")
                                .ColCount(1)
                                .ColSpan(1)

                                .Items(groupItems =>
                                {



                                    groupItems.AddSimpleFor(m => m.Id);
                                    groupItems.AddSimpleFor(m => m.HoTen);
                                    groupItems.AddSimpleFor(m => m.NgaySinh);
                                    groupItems.AddSimpleFor(m => m.GioiTinh);
                                    groupItems.AddSimpleFor(m => m.SoDienThoai);
                                    groupItems.AddSimpleFor(m => m.DonViChiTiet);



                                });
                                items.AddGroup()
                                .Items(groupItems =>
                                {
                                    groupItems.AddGroup().Caption("Mũi 1")
                                    .ColCount(3)
                                    .ColSpan(3)

                                    .Items(groupItems1 =>
                                    {
                                        groupItems1.AddSimpleFor(m => m.Mui1_DaTiem);
                                        groupItems1.AddSimpleFor(m => m.Mui1_ChuaTiem);
                                        groupItems1.AddSimpleFor(m => m.Mui1_LyDo);

                                    });
                                    groupItems.AddGroup().Caption("Mũi 2")
                                    .ColCount(3)
                                    .ColSpan(3)

                                    .Items(groupItems1 =>
                                    {
                                        groupItems1.AddSimpleFor(m => m.Mui2_DaTiem);
                                        groupItems1.AddSimpleFor(m => m.Mui2_ChuaTiem);
                                        groupItems1.AddSimpleFor(m => m.Mui2_LyDo);

                                    });
                                    groupItems.AddSimpleFor(m => m.F0);
                                    groupItems.AddSimpleFor(m => m.GhiChu).ColSpan(1)
                                .Editor(editor => editor.TextArea().Height(70));

                                });





                            }).ScrollingEnabled(true).ShowRequiredMark(true).LabelLocation(FormLabelLocation.Top)
                            )

    )
    )

  
    <h3 style="text-align:center">DANH SÁCH CHƯA TIÊM MŨI 2</h3>
    

        @(Html.DevExtreme().DataGrid<dbChange.Models.StatisticVacxin>
    ()

    .DataSource(ds => ds.Mvc()
    .Controller("Statistic")
    .LoadAction("GetAllStatistics")
    .UpdateAction("Put")
    .Key("Id")
    )
    .RemoteOperations(false)
    .AllowColumnReordering(true)
    .RowAlternationEnabled(true)
    .ShowBorders(true)

    .SearchPanel(s => s
    .Visible(true)
    .HighlightCaseSensitive(true)
    )
    .GroupPanel(g => g.Visible(true))
    .Grouping(g => g.AutoExpandAll(true))
    .WordWrapEnabled(false)
    .ShowColumnLines(true)
    .ShowRowLines(true)
    .RowAlternationEnabled(true)
    .AllowColumnResizing(true)

    .ColumnAutoWidth(true)
    .FilterRow(f => f.Visible(true))
    .HeaderFilter(h => h.Visible(true))
    .RemoteOperations(false)
    // .Scrolling(scrolling => scrolling.ColumnRenderingMode(GridColumnRenderingMode.Virtual))
    .Paging(p => p.PageSize(25))
    .Pager(p => p
    .ShowPageSizeSelector(true)
    .AllowedPageSizes(new[] { 10, 25, 50, 100 })

    )

    .ColumnHidingEnabled(true)
    .ColumnResizingMode(ColumnResizingMode.Widget)
    .FocusedRowEnabled(true)
    .Columns(columns => {

        columns.AddFor(m => m.Id).Caption("#").HeaderCellTemplate(new JS("headerCellTemplate")).AllowEditing(false);

        columns.AddFor(m => m.DonVi).Caption("Đơn vị").HeaderCellTemplate(new JS("headerCellTemplate")).Visible(false).AllowEditing(true);

        columns.AddFor(m => m.DonViChiTiet).Caption("Đơn vị chi tiết").HeaderCellTemplate(new JS("headerCellTemplate")).GroupIndex(0).AllowEditing(true);

        columns.AddFor(m => m.HoTen).Caption("Họ tên").HeaderCellTemplate(new JS("headerCellTemplate")).AllowEditing(true);

        columns.AddFor(m => m.GioiTinh).Caption("Giới\r\ntính").HeaderCellTemplate(new JS("headerCellTemplate")).Width(90);

        columns.AddFor(m => m.NgaySinh).Caption("Ngày\r\nSinh").HeaderCellTemplate(new JS("headerCellTemplate")).Width(90);
        columns.Add().Caption("Mũi 1").Columns(c =>
        {

            c.AddFor(m => m.Mui1_DaTiem).Caption("Đã\r\ntiêm").HeaderCellTemplate(new JS("headerCellTemplate")).Width(70)
            .Alignment(HorizontalAlignment.Center);

            c.AddFor(m => m.Mui1_ChuaTiem).Caption("Chưa\r\ntiêm").HeaderCellTemplate(new JS("headerCellTemplate")).Width(70)
            .Alignment(HorizontalAlignment.Center);

            c.AddFor(m => m.Mui1_LyDo).Caption("Lý do").HeaderCellTemplate(new JS("headerCellTemplate"));
        }).HeaderCellTemplate(new JS("headerCellTemplate"));
        columns.Add().Caption("Mũi 2").Columns(c =>
        {
            c.AddFor(m => m.Mui2_DaTiem).Caption("Đã\r\ntiêm").HeaderCellTemplate(new JS("headerCellTemplate")).Width(70)
            .Alignment(HorizontalAlignment.Center);

            c.AddFor(m => m.Mui2_ChuaTiem).Caption("Chưa\r\ntiêm").HeaderCellTemplate(new JS("headerCellTemplate")).Width(70)
            .Alignment(HorizontalAlignment.Center);

            c.AddFor(m => m.Mui2_LyDo).Caption("Lý do").HeaderCellTemplate(new JS("headerCellTemplate"));
        }).HeaderCellTemplate(new JS("headerCellTemplate"));

        columns.AddFor(m => m.F0).Caption("F0").HeaderCellTemplate(new JS("headerCellTemplate")).Alignment(HorizontalAlignment.Center);

        columns.AddFor(m => m.SoDienThoai).Caption("Số \r\nđiện thoại").HeaderCellTemplate(new JS("headerCellTemplate")).Width(100)
        .Alignment(HorizontalAlignment.Center);

        columns.AddFor(m => m.GhiChu).Caption("Ghi chú").HeaderCellTemplate(new JS("headerCellTemplate"));

        columns.AddFor(m => m.NgayBoSung).Caption("Ngày\r\ncập nhật").HeaderCellTemplate(new JS("headerCellTemplate")).Width(100).AllowEditing(false);
    })
    .Editing(

    e => e.Mode(GridEditMode.Popup)

                            .AllowUpdating(true)
                            .AllowAdding(true)
                            .UseIcons(true)

                            .Form(
                            f => f.Items(items =>
                            {
                                items.AddGroup().Caption("Thông tin nhân viên")
                                .ColCount(1)
                                .ColSpan(1)

                                .Items(groupItems =>
                                {



                                    groupItems.AddSimpleFor(m => m.Id);
                                    groupItems.AddSimpleFor(m => m.HoTen);
                                    groupItems.AddSimpleFor(m => m.NgaySinh);
                                    groupItems.AddSimpleFor(m => m.GioiTinh);
                                    groupItems.AddSimpleFor(m => m.SoDienThoai);
                                    groupItems.AddSimpleFor(m => m.DonViChiTiet);



                                });
                                items.AddGroup()
                                .Items(groupItems =>
                                {
                                    groupItems.AddGroup().Caption("Mũi 1")
                                    .ColCount(3)
                                    .ColSpan(3)

                                    .Items(groupItems1 =>
                                    {
                                        groupItems1.AddSimpleFor(m => m.Mui1_DaTiem);
                                        groupItems1.AddSimpleFor(m => m.Mui1_ChuaTiem);
                                        groupItems1.AddSimpleFor(m => m.Mui1_LyDo);

                                    });
                                    groupItems.AddGroup().Caption("Mũi 2")
                                    .ColCount(3)
                                    .ColSpan(3)

                                    .Items(groupItems1 =>
                                    {
                                        groupItems1.AddSimpleFor(m => m.Mui2_DaTiem);
                                        groupItems1.AddSimpleFor(m => m.Mui2_ChuaTiem);
                                        groupItems1.AddSimpleFor(m => m.Mui2_LyDo);

                                    });
                                    groupItems.AddSimpleFor(m => m.F0);
                                    groupItems.AddSimpleFor(m => m.GhiChu).ColSpan(1)
                                .Editor(editor => editor.TextArea().Height(70));

                                });





                            }).ScrollingEnabled(true).ShowRequiredMark(true).LabelLocation(FormLabelLocation.Top)
                            )

    )
    )

  
</div>